------------------------------------------------------------
revno: 2676
committer: Timothy Smith <timothy.smith@sun.com>
branch nick: mysql-6.0.6-release
timestamp: Mon 2008-08-11 18:13:35 -0600
message:
  Distribute Maria-specific executables (like maria_chk, etc.) in Windows
  packages.
------------------------------------------------------------
revno: 2675
tags: clone-6.0.6-build
committer: mysqldev <mysqldev@production.mysql.com>
branch nick: mysql-6.0.6-release
timestamp: Mon 2008-07-21 11:28:11 +0200
message:
  Drop version back down to 6.0.6, after pulling in required updates from the
  main 6.0 tree.
------------------------------------------------------------
revno: 2674
committer: mysqldev <mysqldev@production.mysql.com>
branch nick: mysql-6.0.6-release
timestamp: Mon 2008-07-21 11:17:03 +0200
message:
  Merge in from 6.0 main.  The clone-6.0.6-build tag will be updated to
  this, now that 6.0 main has the changes from 6.0.5 merged into it.
    ------------------------------------------------------------
    revno: 2599.118.10
    committer: Timothy Smith <timothy.smith@sun.com>
    branch nick: 6.0-build
    timestamp: Sun 2008-07-20 21:55:09 -0600
    message:
      Merge new changes from 6.0-build
        ------------------------------------------------------------
        revno: 2599.121.1
        committer: Kent Boortz <kent@kent-amd64>
        branch nick: mysql-6.0-build
        timestamp: Sun 2008-07-20 19:14:19 +0200
        message:
          After merge commit
    ------------------------------------------------------------
    revno: 2599.118.9
    committer: Timothy Smith <timothy.smith@sun.com>
    branch nick: 6.0-build
    timestamp: Sun 2008-07-20 21:01:19 -0600
    message:
      Up-merge from 5.1(-build, main) to 6.0
        ------------------------------------------------------------
        revno: 2497.352.14
        committer: Timothy Smith <timothy.smith@sun.com>
        branch nick: 5.1-build
        timestamp: Sat 2008-07-19 02:31:33 -0600
        message:
          Up-merge of merges, some criss-cross resolved with --weave.
            ------------------------------------------------------------
            revno: 1810.3733.20
            committer: Timothy Smith <timothy.smith@sun.com>
            branch nick: 5.0-build
            timestamp: Fri 2008-07-18 21:46:03 -0600
            message:
              Merge 5.0.66a-release changes
            ------------------------------------------------------------
            revno: 1810.3733.19
            author: Jonathan Perkin <jperkin@sun.com>
            committer: mysqldev <mysqldev@production.mysql.com>
            branch nick: mysql-5.0-build
            timestamp: Wed 2008-07-16 12:28:44 +0200
            message:
              Merge from mysql-5.0.60sp1-release
                ------------------------------------------------------------
                revno: 1810.3730.8
                tags: mysql-5.0.60sp1
                author: Jonathan Perkin <jperkin@sun.com>
                committer: mysqldev <mysqldev@production.mysql.com>
                branch nick: mysql-5.0.60sp1-release
                timestamp: Fri 2008-06-27 18:43:45 +0200
                message:
                  Revert NDB version bump completely.
                ------------------------------------------------------------
                revno: 1810.3730.7
                author: Jonathan Perkin <jperkin@sun.com>
                committer: mysqldev <mysqldev@production.mysql.com>
                branch nick: mysql-5.0.60sp1-release
                timestamp: Fri 2008-06-27 18:13:50 +0200
                message:
                  Try different sp1 suffix for NDB.
                ------------------------------------------------------------
                revno: 1810.3730.6
                author: Jonathan Perkin <jperkin@sun.com>
                committer: mysqldev <mysqldev@production.mysql.com>
                branch nick: mysql-5.0.60sp1-release
                timestamp: Fri 2008-06-27 12:58:07 +0200
                message:
                  Version number bump for 5.0.60sp1
            ------------------------------------------------------------
            revno: 1810.3733.18
            committer: Joerg Bruehe <joerg@mysql.com>
            branch nick: push-5.0
            timestamp: Mon 2008-07-14 12:39:32 +0200
            message:
              Merge main 5.0 into 5.0-build
            ------------------------------------------------------------
            revno: 1810.3733.17
            committer: Joerg Bruehe <joerg@mysql.com>
            branch nick: push-5.0
            timestamp: Wed 2008-07-09 13:17:53 +0200
            message:
              Merge from main 5.0 to 5.0-build.
            ------------------------------------------------------------
            revno: 1810.3733.16
            committer: Daniel Fischer <df@sun.com>
            branch nick: mysql-5.0-build
            timestamp: Sat 2008-07-05 09:44:10 +0200
            message:
              ild can not be expected on all matching installs
            ------------------------------------------------------------
            revno: 1810.3733.15
            committer: Joerg Bruehe <joerg@mysql.com>
            branch nick: push-5.0
            timestamp: Fri 2008-06-27 19:42:31 +0200
            message:
              Take the fix for bug#37623 (Suffix "-64bit" is duplicated)
              into the 5.0-build team tree.
        ------------------------------------------------------------
        revno: 2497.352.13
        committer: Timothy Smith <timothy.smith@sun.com>
        branch nick: 5.1-build
        timestamp: Fri 2008-07-18 21:48:18 -0600
        message:
          Merge in changes from 5.0.66a (via mysql-5.0)
            ------------------------------------------------------------
            revno: 2497.345.18
            committer: Timothy Smith <timothy.smith@sun.com>
            branch nick: 5.1
            timestamp: Thu 2008-07-17 11:45:08 -0600
            message:
              Up-merge 5.0.66a-release changes (via 5.0) into 5.1.
              
              Includes fix for Bug #38180, "options are read from ~/my.cnf instead of ~/.my.cnf"
            ------------------------------------------------------------
            revno: 1810.3753.7
            committer: Timothy Smith <timothy.smith@sun.com>
            branch nick: 5.0
            timestamp: Thu 2008-07-17 11:08:49 -0600
            message:
              Merge in changes from mysql-5.0.66a-release into 5.0.
              
              Includes fix for Bug #38180, "options are read from ~/my.cnf instead of ~/.my.cnf"
            ------------------------------------------------------------
            revno: 1810.3757.4
            author: kent.boortz@sun.com
            committer: mysqldev <mysqldev@production.mysql.com>
            branch nick: mysql-5.0.66a-release
            timestamp: Thu 2008-07-17 01:33:45 +0200
            message:
              Set version to 5.0.66a
            ------------------------------------------------------------
            revno: 1810.3757.3
            committer: Timothy Smith <timothy.smith@sun.com>
            branch nick: 5.0.66-bug38180
            timestamp: Wed 2008-07-16 16:58:45 -0600
            message:
              Bug #38180  	options are read from ~/my.cnf instead of ~/.my.cnf
              
              Pull out some of unpack_dirname() into normalize_dirname(); this
              new function does not expand "~" to the home directory.  Use this
              function in unpack_dirname(), and use it during init_default_directories()
              to remove duplicate entries without losing track of which directory
              is a user's home dir.
            ------------------------------------------------------------
            revno: 1810.3757.2
            tags: mysql-5.0.66
            committer: Georgi Kodinov <kgeorge@mysql.com>
            branch nick: merge-5.0.66-release
            timestamp: Wed 2008-07-09 13:03:48 +0300
            message:
              fixed a compilation warning on windows 64.
            ------------------------------------------------------------
            revno: 1810.3757.1
            committer: Georgi Kodinov <kgeorge@mysql.com>
            branch nick: merge-5.0.66-release
            timestamp: Wed 2008-07-09 12:59:28 +0300
            message:
              automatic merge of 5.0-bugteam into the 5.0.66 release clone.
        ------------------------------------------------------------
        revno: 2497.352.12
        committer: Daniel Fischer <df@sun.com>
        branch nick: mysql-5.1-build
        timestamp: Tue 2008-07-15 18:43:25 +0200
        message:
          test case fix
        ------------------------------------------------------------
        revno: 2497.352.11
        committer: Joerg Bruehe <joerg@mysql.com>
        branch nick: push-5.1
        timestamp: Mon 2008-07-14 12:50:31 +0200
        message:
          Merge main 5.1 to 5.1-build
        ------------------------------------------------------------
        revno: 2497.352.10
        committer: Joerg Bruehe <joerg@mysql.com>
        branch nick: push-5.1
        timestamp: Fri 2008-07-11 20:51:10 +0200
        message:
          Merge 5.1.26-rc to 5.1-build for further pushing it to the main tree.
            ------------------------------------------------------------
            revno: 2497.353.6
            tags: mysql-5.1.26
            committer: Joerg Bruehe <joerg@mysql.com>
            branch nick: clone-5.1
            timestamp: Mon 2008-06-30 22:52:26 +0200
            message:
              Version 5.1.26 is labeled "rc".
            ------------------------------------------------------------
            revno: 2497.353.5
            committer: Mats Kindahl <mats@mysql.com>
            branch nick: b37426-mysql-5.1.26-release
            timestamp: Mon 2008-06-30 22:11:18 +0200
            message:
               BUG#37426: RBR breaks for CHAR() UTF-8 fields > 85 chars
                    
              In order to handle CHAR() fields, 8 bits were reserved for
              the size of the CHAR field. However, instead of denoting the
              number of characters in the field, field_length was used which
              denotes the number of bytes in the field.
              
              Since UTF-8 fields can have three bytes per character (and
              has been extended to have four bytes per character in 6.0),
              an extra two bits have been encoded in the field metadata
              work for fields of type Field_string (i.e., CHAR fields).
              
              Since the metadata word is filled, the extra bits have been
              encoded in the upper 4 bits of the real type (the most 
              significant byte of the metadata word) by computing the
              bitwise xor of the extra two bits. Since the upper 4 bits
              of the real type always is 1111 for Field_string, this 
              means that for fields of length <256, the encoding is
              identical to the encoding used in pre-5.1.26 servers, but
              for lengths of 256 or more, an unrecognized type is formed,
              causing an old slave (that does not handle lengths of 256
              or more) to stop.
            ------------------------------------------------------------
            revno: 2497.353.4
            committer: Joerg Bruehe <joerg@mysql.com>
            branch nick: clone-5.1
            timestamp: Fri 2008-06-27 19:36:45 +0200
            message:
              Merge the fix for bug#37623  (Suffix "-64bit" is duplicated)
              from 5.0 into the 5.1.26 release clone.
                ------------------------------------------------------------
                revno: 1810.3756.1
                committer: Joerg Bruehe <joerg@mysql.com>
                branch nick: bug37623-5.0
                timestamp: Fri 2008-06-27 19:12:42 +0200
                message:
                  OS X 10.5 is now a supported platform,
                  so Apple's internal name ("darwin9") must be translated to ours ("osx10.5").
            ------------------------------------------------------------
            revno: 2497.353.3
            committer: Gleb Shchepa <gshchepa@mysql.com>
            branch nick: mysql-5.1.26-release
            timestamp: Fri 2008-06-27 18:22:23 +0500
            message:
              buckport to 5.1.26 from 6.0
              
              Bug#35658 (An empty binary value leads to mysqld crash)
                
              Before this fix, the following token
                b''
              caused the parser to crash when reading the binary value from the empty string.
              The crash was caused by:
                ptr+= max_length - 1;
              because max_length is unsigned and was 0, causing an overflow.
                
              With this fix, an empty binary literal b'' is parsed as a binary value 0,
              in Item_bin_string.
        ------------------------------------------------------------
        revno: 2497.352.9
        committer: Joerg Bruehe <joerg@mysql.com>
        branch nick: push-5.1
        timestamp: Wed 2008-07-09 13:25:31 +0200
        message:
          Merge main 5.1 into 5.1-build
        ------------------------------------------------------------
        revno: 2497.352.8
        committer: Daniel Fischer <df@sun.com>
        branch nick: mysql-5.1-build
        timestamp: Tue 2008-07-08 19:17:06 +0200
        message:
          let's make a real honest attempt at finding the daemons in libexec
        ------------------------------------------------------------
        revno: 2497.352.7
        committer: Joerg Bruehe <joerg@mysql.com>
        branch nick: push-5.1
        timestamp: Tue 2008-07-01 17:54:45 +0200
        message:
          Merge from main 5.1 to 5.1-build
        ------------------------------------------------------------
        revno: 2497.352.6
        committer: Joerg Bruehe <joerg@mysql.com>
        branch nick: push-5.1
        timestamp: Thu 2008-06-26 18:46:45 +0200
        message:
          Merge the first part of the 5.1.26 changes to 5.1-build
            ------------------------------------------------------------
            revno: 2497.353.2
            committer: Georgi Kodinov <kgeorge@mysql.com>
            branch nick: B33812-5.1.26-release
            timestamp: Fri 2008-06-20 18:08:24 +0300
            message:
              Bug#33812: mysql client incorrectly parsing DELIMITER
              Remove unnecessary and incorrect code that tried to pull delimiter commands out of the
              middle of statements
            ------------------------------------------------------------
            revno: 2497.353.1
            author: Joerg Bruehe <joerg@mysql.com>
            committer: mysqldev <mysqldev@production.mysql.com>
            branch nick: mysql-5.1.26-release
            timestamp: Fri 2008-06-20 15:00:11 +0200
            message:
              No 'rc' status any more
        ------------------------------------------------------------
        revno: 2497.352.5
        committer: Joerg Bruehe <joerg@mysql.com>
        branch nick: push-5.1
        timestamp: Thu 2008-06-26 18:30:57 +0200
        message:
          Merge an empty merge changeset == no change, just bookkeeping.
            ------------------------------------------------------------
            revno: 1810.3733.14
            committer: Joerg Bruehe <joerg@mysql.com>
            branch nick: push-5.0
            timestamp: Thu 2008-06-26 18:01:28 +0200
            message:
              Merge the main 5.0 tree into 5.0-build.
        ------------------------------------------------------------
        revno: 2497.352.4
        committer: Joerg Bruehe <joerg@mysql.com>
        branch nick: push-5.1
        timestamp: Thu 2008-06-26 18:11:01 +0200
        message:
          Merge from main 5.1 to 5.1-build
    ------------------------------------------------------------
    revno: 2599.118.8
    committer: Timothy Smith <timothy.smith@sun.com>
    branch nick: 6.0-build
    timestamp: Fri 2008-07-18 21:03:39 -0600
    message:
      Fairly large merge of mysql-6.0-build (including changes from the mysql-6.0.5-release branch) and mysql-6.0.
        ------------------------------------------------------------
        revno: 2671.1.2
        committer: Alexander Nozdrin <alik@mysql.com>
        branch nick: 6.0
        timestamp: Thu 2008-07-17 14:44:32 +0400
        message:
          Disable the following tests due to often failures:
            - rpl.rpl_flushlog_loop
            - rpl.rpl_locktrans_innodb
            - rpl.rpl_temporary
            - rpl.rpl_temporary_errors
        ------------------------------------------------------------
        revno: 2671.1.1
        author: df@sun.com
        committer: mysqldev <mysqldev@production.mysql.com>
        branch nick: mysql-6.0
        timestamp: Thu 2008-07-17 12:35:38 +0200
        message:
          Raise version number after cloning 6.0.6
    ------------------------------------------------------------
    revno: 2599.118.7
    committer: Daniel Fischer <df@sun.com>
    branch nick: mysql-6.0-build
    timestamp: Tue 2008-07-08 19:25:53 +0200
    message:
      merge
        ------------------------------------------------------------
        revno: 2599.120.1
        author: Jonathan Perkin <jperkin@sun.com>
        committer: mysqldev <mysqldev@production.mysql.com>
        branch nick: mysql-6.0.5-bzrmerge
        timestamp: Tue 2008-07-08 18:01:41 +0200
        message:
          Merge mysql-6.0.5-release into mysql-6.0-build
        ------------------------------------------------------------
        revno: 2599.119.12
        committer: mysqldev@mysql.com/production.mysql.com
        timestamp: Tue 2008-07-08 16:00:08 +0200
        message:
          (no message)
        ------------------------------------------------------------
        revno: 2599.119.11
        tags: mysql-6.0.5
        committer: jperkin/mysqldev@mysql.com/production.mysql.com
        timestamp: Thu 2008-06-12 13:36:39 +0200
        message:
          Merge -r2694..2696 from mysql-6.0-falcon bzr tree.  Original comments:
          ------------------------------------------------------------
          revno: 2696
          committer: Mats Kindahl <mats@mysql.com>
          branch nick: b37221-mysql-6.0-falcon
          timestamp: Tue 2008-06-10 14:39:13 +0200
          message:
            BUG#37221: SET AUTOCOMMIT=1 does not commit binary log
          
            Adding comment to Falcon regression test for the bug.
          ------------------------------------------------------------
          revno: 2695
          committer: Mats Kindahl <mats@mysql.com>
          branch nick: b37221-mysql-6.0-falcon
          timestamp: Mon 2008-06-09 21:32:42 +0200
          message:
            Bug #37221: SET AUTOCOMMIT=1 does not commit binary log
          
            When setting AUTOCOMMIT=1 after starting a transaction, the binary log
            did not commit the outstanding transaction. The reason was that the binary
            log commit function saw the values of the new settings, deciding that there
            were nothing to commit.
          
            Fixed the problem by moving the implicit commit to before the thread option
            flags were changed, so that the binary log sees the old values of the flags
            instead of the values they will take after the statement.
